Python37.dll conflict error

Use this forum for general user support and related questions.
Post Reply
Mink
Posts: 2
Joined: Wed Nov 28, 2018 9:54 am

Python37.dll conflict error

Post by Mink » Wed Nov 28, 2018 10:01 am

Hello LuxCoreRender community,

I've been looking around for different render engines for the last couple of weeks and after finding this render engine I thought I'd give it a shot and see how it is compared to cycles. When trying to active the addon however in 2.79b I get this python error;

Code: Select all

Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\Blender\2.79\scripts\startup\bl_operators\wm.py", line 2054, in execute
    file_to_extract.extractall(path_addons)
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\zipfile.py", line 1349, in extractall
    self.extract(zipinfo, path, pwd)
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\zipfile.py", line 1337, in extract
    return self._extract_member(member, path, pwd)
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\zipfile.py", line 1400, in _extract_member
    open(targetpath, "wb") as target:
PermissionError: [Errno 13] Permission denied: 'C:\\Users\\spell\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts\\addons\\BlendLuxCore\\bin\\embree.dll'
Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\__init__.py", line 27, in <module>
    from . import urllib3
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\urllib3\__init__.py", line 8, in <module>
    from .connectionpool import (
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 7, in <module>
    from socket import error as SocketError, timeout as SocketTimeout
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\socket.py", line 49, in <module>
    import _socket
ImportError: Module use of python37.dll conflicts with this version of Python.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\Blender\2.79\scripts\modules\addon_utils.py", line 331, in enable
    mod = __import__(module_name)
  File "C:\Users\spell\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\__init__.py", line 16, in <module>
    from . import engine, handlers, nodes, operators, properties, ui
  File "C:\Users\spell\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\operators\__init__.py", line 7, in <module>
    from . import (
  File "C:\Users\spell\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\operators\update.py", line 1, in <module>
    import requests
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\__init__.py", line 61, in <module>
    from .packages.urllib3.exceptions import DependencyWarning
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\__init__.py", line 29, in <module>
    import urllib3
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\urllib3\__init__.py", line 8, in <module>
    from .connectionpool import (
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\urllib3\connectionpool.py", line 7, in <module>
    from socket import error as SocketError, timeout as SocketTimeout
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\socket.py", line 49, in <module>
    import _socket
ImportError: Module use of python37.dll conflicts with this version of Python.

reloading addon: BlendLuxCore 1543398281.8085158 1543398718.5175283 C:\Users\spell\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\__init__.py
Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\__init__.py", line 27, in <module>
    from . import urllib3
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\urllib3\__init__.py", line 8, in <module>
    from .connectionpool import (
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 7, in <module>
    from socket import error as SocketError, timeout as SocketTimeout
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\socket.py", line 49, in <module>
    import _socket
ImportError: Module use of python37.dll conflicts with this version of Python.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\Blender\2.79\scripts\modules\addon_utils.py", line 331, in enable
    mod = __import__(module_name)
  File "C:\Users\spell\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\__init__.py", line 16, in <module>
    from . import engine, handlers, nodes, operators, properties, ui
  File "C:\Users\spell\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\operators\__init__.py", line 7, in <module>
    from . import (
  File "C:\Users\spell\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\operators\update.py", line 1, in <module>
    import requests
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\__init__.py", line 61, in <module>
    from .packages.urllib3.exceptions import DependencyWarning
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\__init__.py", line 29, in <module>
    import urllib3
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\urllib3\__init__.py", line 8, in <module>
    from .connectionpool import (
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\urllib3\connectionpool.py", line 7, in <module>
    from socket import error as SocketError, timeout as SocketTimeout
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\socket.py", line 49, in <module>
    import _socket
ImportError: Module use of python37.dll conflicts with this version of Python.
Does anyone know how to fix this error?
Thank you in advance.

acasta69
Developer
Posts: 65
Joined: Tue Jan 09, 2018 3:45 pm

Re: Python37.dll conflict error

Post by acasta69 » Wed Nov 28, 2018 10:07 am

Hi, maybe you are trying to use LuxCoreRender with a Blender "nightly" build?
Those builds use python 3.7, even if they are named "2.79b".
You need to use the official Blender 2.79b release, which is based on python 3.5.
Support LuxCoreRender project with salts and bounties

Windows 10 64 bits, i7-4770 3.4 GHz, RAM 16 GB, GTX 970 4GB v382.05

Mink
Posts: 2
Joined: Wed Nov 28, 2018 9:54 am

Re: Python37.dll conflict error

Post by Mink » Wed Nov 28, 2018 10:13 am

acasta69 wrote:
Wed Nov 28, 2018 10:07 am
Hi, maybe you are trying to use LuxCoreRender with a Blender "nightly" build?
Those builds use python 3.7, even if they are named "2.79b".
You need to use the official Blender 2.79b release, which is based on python 3.5.
My bad, I thought repairing using the version from the official downloadpage would fully install that version, but it seems to be just the splash. It works now so thank you!

Post Reply